Skip to main content
GET
/
orgs
/
{org_id}
/
emergencies
List emergencies
curl --request GET \
  --url https://api.punchrescue.com/api/public/v1/orgs/{org_id}/emergencies \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "emergencyId": "<string>",
      "orgId": "<string>",
      "status": "<string>",
      "externalId": "<string>",
      "category": {
        "id": "<string>",
        "name": "<string>",
        "color": "<string>",
        "severity": 123
      },
      "source": "<string>",
      "description": "<string>",
      "occurredAt": "<string>",
      "createdAt": "<string>",
      "resolvedAt": "<string>",
      "resolvedBy": {
        "type": "<string>",
        "id": "<string>",
        "name": "<string>"
      },
      "declaredBy": {
        "type": "<string>",
        "id": "<string>",
        "name": "<string>"
      },
      "location": {
        "latitude": 123,
        "longitude": 123,
        "floorId": "<string>"
      },
      "resolutionNote": "<string>",
      "metadata": {}
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required

Target organization id (from the route path)

Query Parameters

status
string | null

declared | categorized | resolved

categoryId
string | null
externalId
string | null
from
string | null
to
string | null
cursor
string | null
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

items
PublicEmergencyResponse · object[]
required
nextCursor
string | null